# 人氣排行榜

`GET` `/v1/quote/market/rank/list`

根據排行榜標籤 key 獲取股票排行。key 來自 `rank_categories` 的 `second_tags[].key`，例如 `hot_all-us`（美股總熱度）。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `key` | string | Yes | 排行榜標籤鍵值，來自 `rank_categories` 的 `second_tags[].key` |
| `need_article` | boolean | No | 是否返回關聯文章，默認 `false` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/market/rank/list?key=<key>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `bmp` | boolean | No | 是否為盤前預覽數據 |
| `lists` | object[] | No | 排行榜股票列表 |
| `└ code` | string | No | 股票代碼（如 `MU`） |
| `└ symbol` | string | No | 標的代碼，格式為 `代碼。市場`（如 `MU.US`） |
| `└ name` | string | No | 證券名稱 |
| `└ last_done` | string | No | 最新成交價 |
| `└ chg` | string | No | 漲跌幅（小數比率，如 `0.0252` 表示 2.52%） |
| `└ change` | string | No | 價格漲跌額（如 `17.200`） |
| `└ inflow` | string | No | 淨流入資金（單位：所屬市場貨幣） |
| `└ market_cap` | string | No | 市值 |
| `└ industry` | string | No | 行業分類 |
| `└ pre_post_price` | string | No | 盤前/盤後價格 |
| `└ pre_post_chg` | string | No | 盤前/盤後漲跌幅（小數比率） |
| `└ amplitude` | string | No | 振幅（小數比率） |
| `└ five_day_chg` | string | No | 5 日漲跌幅（小數比率） |
| `└ turnover_rate` | string | No | 換手率（小數比率） |
| `└ volume_rate` | string | No | 量比 |
| `└ pb_ttm` | string | No | 市淨率（TTM） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "bmp": false,
    "lists": [
      {
        "code": "MU",
        "symbol": "MU.US",
        "name": "Micron Technology",
        "last_done": "698.740",
        "chg": "0.0252",
        "change": "17.200",
        "inflow": "-347041642",
        "market_cap": "787992890796",
        "industry": "Semiconductor Manufacturers",
        "pre_post_price": "726.600",
        "pre_post_chg": "0.0399",
        "amplitude": "0.1082",
        "five_day_chg": "-0.0885",
        "turnover_rate": "0.0550",
        "volume_rate": "1.11",
        "pb_ttm": "32.68"
      }
    ]
  }
}
```
